﻿using BPA.KitChen.GroupMeal.Application.BaseDto;
using BPA.KitChen.GroupMeal.Core.Enum;
using Furion.DataValidation;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Application.Service.OneCard.StoredValueCard.Dto
{
    public class CreateOrUpdateMemberInfoInputDto
    {
        public string MemberInfo_Id { get; set; }

        /// <summary> 
        ///  
        /// </summary> 
        public string NickName { get; set; }
        /// <summary> 
        /// 0=未知   1=男    2=女 
        /// </summary> 
        [Range(0, 2, ErrorMessage = "性别错误")]
        public int Sex { get; set; }
        /// <summary> 
        /// 头像 
        /// </summary> 
        public string HeadImgUrl { get; set; }
        /// <summary> 
        /// 国家 
        /// </summary> 
        public string Country { get; set; }
        /// <summary> 
        /// 省 
        /// </summary> 
        public string Province { get; set; }
        /// <summary> 
        /// 市 
        /// </summary> 
        public string City { get; set; }
        /// <summary> 
        /// 县（区） 
        /// </summary> 
        public string County { get; set; }
        /// <summary> 
        /// 具体地址 
        /// </summary> 
        public string Address { get; set; }
        /// <summary> 
        /// 出生日期 
        /// </summary> 
        public DateTime Birthday { get; set; }
        /// <summary> 
        /// 电话 
        /// </summary> 
        [RegularExpression("^1[3|4|5|7|8][0-9]{9}$")]
        public string Phone { get; set; }
        /// <summary> 
        /// 真实姓名 
        /// </summary> 
        public string RealName { get; set; }
        /// <summary> 
        /// 身份证号码 
        /// </summary> 

        [RegularExpression("^(\\d{15}$|^\\d{18}$|^\\d{17}(\\d|X|x))$")]
        public string CardNum { get; set; }
        /// <summary> 
        /// 等级 
        /// </summary> 
        public string Level_Id { get; set; }
        /// <summary> 
        /// 向外展示那个平台的信息 0:默认 1.微信 2.支付宝 3.POS 4.卡会员
        /// </summary> 
        [CustomValidation(typeof(DtoValidator), "MemberPlatformType")]
        public PlatformType ShowPlatformType { get; set; }

        public int PlatformType { get; set; }

        [CustomValidation(typeof(DtoValidator), "Status")]
        public CommonStatus Status { get; set; }

    }
}
